VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsDataPriorite"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Public idPriorite As Integer
Public Nom As String


Private rec As Recordset
Private strRequete As String
Public Sub ChargePriorite()
    
    If QShema.Priotites.Count = 0 Then
        Set rec = Base.OpenRecordset("Select * from Priorite", dbOpenForwardOnly, dbReadOnly)
        
        With rec
            Do While Not .EOF
                
                Me.idPriorite = .Fields("idProjet")
                Me.Nom = .Fields("Nom")

                QShema.Priotites.Add Me, "*" & Me.idPriorite
                .MoveNext
            Loop
            .Close
        End With
    End If

End Sub
